astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Units and Quantities (`astropy.units`) »
- Base

# Base

class `astropy.units.format.``Base`

  Bases: `object`

  The abstract base class of all unit formats.

  Attributes Summary

  `name` |

  Methods Summary

  `parse`(s) | Convert a string to a unit object.
  `to_string`(u) | Convert a unit object to a string.

  Attributes Documentation

  `name` = 'base'

  Methods Documentation

  classmethod `parse`(s)

    Convert a string to a unit object.

  classmethod `to_string`(u)

    Convert a unit object to a string.